<div class="loginWarp">
  <div class="col-5">
    <form class="loginCont" #driverForm="ngForm">
      <div class="logo">
        <img src="assets/image/logo.png" alt="logo ada" />
      </div>
      <h4 class="title grey">
        Welcome to Project Ada.
      </h4>
      <ul class="loginBtnCont">
        <li>
          <a class="logingBtn google black" href="http://localhost:5200/auth/google" >Login with Google</a>
        </li>
        <li>
          <a href="javascript:void(0)" class="logingBtn outlook  black">Login with Outlook</a>
        </li>
      </ul>
      <div class="or grey text-center">
          - OR -
      </div>


      <div class="loginPanel">
        <label class="grey">Email Address<span class="orng fogPwad" >*</span></label>
        <input type="email"
                #email="ngModel" name="emailData"  [(ngModel)]="userCredentials.userName"
               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
               required [ngModelOptions]="{standalone: true}">
        <div *ngIf="email.touched">
          <p *ngIf="email.errors?.required" class="alert-msg">Email is a required field!</p>
          <p *ngIf="email.errors?.pattern" class="alert-msg">This is not a valid User ID!!!</p>
        </div>
        <br>
        <div class="PR">
            <label class="grey">Password<span class="alert-msg" >*</span></label>
            <input  class="form-control" type="password" name="passwordData"  #password="ngModel"
                   [(ngModel)]="userCredentials.password"
                required class="pwd" id="password" [ngModelOptions]="{standalone: true}">

             <span class="eyeicon toggle-password"  toggle="#password-field" 
                   (click)="showPassword()"></span>


        </div>

        <div *ngIf="password.touched">
          <p *ngIf="password.errors?.required" class="alert-msg">password is a required field!</p>
        </div>
      </div>
 <!--     pattern=".{6,}"-->
      <span class="alert-msg" >{{loginError}}</span>
      <ul class="infoStatus">
        <li>  
          <label class="cusmtCheckBox">Remember me
            <input type="checkbox" [(ngModel)]="userCredentials.rememberme" name="remeber" [ngModelOptions]="{standalone: true}">
            <span class="checkmark"></span>
          </label>
        </li>
        <li class="text-right">
          <a href="javascript:void(0)" class="orng fogPwad" (click)="navigateForgotPassword()">forgot your password</a>
        </li>
      </ul>

      <ul class="loginBtnCon">
        <li>
            <!-- (click)="addClass()" -->
          <button class="btn btn-login btn-active"(click)="addClass()" [disabled]="!driverForm.form.valid">login</button>
        </li>
        <li>
          <button class="btn btn-login" (click)="navigateSignUp()">Sign Up</button>
        </li>
      </ul>


      <p class="tnc black">
        By signing in, you agree to Project ada’s <a href="javascript:void(0)" class="orng">Terms and Conditions</a> & <a href="javsacript:void(0)" class="orng">Privacy Policy</a>
      </p>
    </form>
  </div>
  <div class="col-5">
    <div class="imgCont">
      <img src="assets/image/Group 16.png"  alt="img" />
    </div>
  </div>
</div>
